#include <stdio.h>
int main() {
  char *p = "Hello";
  printf("%p\n", p);
  printf("%c", *p);
  p++;
  printf("\n\n%p\n", p);
  printf("%c", *p);
  char *pp = "World";
  char ppa[] = "Ryan Gosling";
  printf("\n%s\n", ppa);
  puts(ppa);
  puts(ppa);
}
